package tech.sud.mgp.auth.api;

public class SudCode {
    private final String code;
    private final Long expireDate;
    private final boolean success;
    private final Integer sdkErrorCode;

    public SudCode(String code, Long expireDate, boolean success, Integer sdkErrorCode) {
        this.code = code;
        this.expireDate = expireDate;
        this.success = success;
        this.sdkErrorCode = sdkErrorCode;
    }

    public String getCode() {
        return code;
    }

    public Long getExpireDate() {
        return expireDate;
    }

    public boolean isSuccess() {
        return success;
    }

    public Integer getSdkErrorCode() {
        return sdkErrorCode;
    }
}
